<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Classe extends Eloquent {

	protected $table = 'CLASSE';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('id', 'libelle_classe', 'niveau_id', 'batiment_id');
	protected $visible = array('id', 'libelle_classe', 'niveau_id', 'batiment_id');

	public function niveau()
	{
		return $this->belongsTo('App\Models\Niveau', 'niveau_id');
	}

	public function eleves()
	{
		return $this->hasMany('App\Models\Students');
	}

	public function batiment()
	{
		return $this->belongsTo('App\Models\Batiment', 'batiment_id');
	}

}