<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Cycle extends Eloquent {

	protected $table = 'CYCLE';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('id', 'libelle_cycle', 'anneeScolaire_id');
	protected $visible = array('id', 'libelle_cycle');

	public function niveaux()
	{
		return $this->hasMany('App\Models\Niveau');
	}

	public function anneeScolaire()
	{
		return $this->belongsTo('App\Models\AnneeScolaire', 'anneeScolaire_id');
	}

}