<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Niveau extends Eloquent {

	protected $table = 'NIVEAU';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('id', 'libelle_niveau', 'cycle_id', 'scolarite', 'frais_inscription');
	protected $visible = array('id', 'libelle_niveau', 'cycle_id', 'scolarite', 'frais_inscription');

	public function cyle()
	{
		return $this->belongsTo('App\Models\Cycle', 'cycle_id');
	}

	public function classes()
	{
		return $this->hasMany('App\Models\Classe');
	}

}